## node-websocket 1.0.35+~cs11.0.28

=== deps/is_utf8/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(is_utf8
  DESCRIPTION "Fast UTF-8 Validation"
  LANGUAGES CXX
  VERSION 1.3.2
)

include(GNUInstallDirs)
include(CTest)

option(IS_UTF8_SANITIZE "Sanitize addresses" OFF)

if (NOT CMAKE_BUILD_TYPE)
  message(STATUS "No build type selected, default to Release")
  if(IS_UTF8_SANITIZE)
    set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
  else()
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
  endif()
endif()

# We compile tools, tests, etc. with C++ 11. Override yourself if you need on a
# target.
set(IS_UTF8_CXX_STANDARD 11 CACHE STRING "the C++ standard to use for is_utf8")

set(CMAKE_CXX_STANDARD ${IS_UTF8_CXX_STANDARD})
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_MACOSX_RPATH OFF)

set(IS_UTF8_LIB_VERSION "1.3.2" CACHE STRING "is_utf8 library version")
set(IS_UTF8_LIB_SOVERSION "1" CACHE STRING "is_utf8 library soversion")

set(IS_UTF8_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
add_subdirectory(src)

if (BUILD_TESTING)
  message(STATUS "The tests are enabled.")
  add_subdirectory(tests)
else()
  message(STATUS "The tests are disabled.")
endif(BUILD_TESTING)


add_subdirectory(benchmarks)

message(STATUS "Compiling using the C++ standard:" ${CMAKE_CXX_STANDARD})
# ---- Install rules ----
add_library(is_utf8::is_utf8 ALIAS is_utf8)

set_target_properties(
    is_utf8 PROPERTIES
    VERSION "${IS_UTF8_LIB_VERSION}"
    SOVERSION "${IS_UTF8_LIB_SOVERSION}"
    WINDOWS_EXPORT_ALL_SYMBOLS YES
)

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

install(
    FILES include/is_utf8.h
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
    COMPONENT is_utf8_Development
)

install(
    TARGETS is_utf8
    EXPORT is_utf8Targets
    RUNTIME COMPONENT is_utf8_Runtime
    LIBRARY COMPONENT is_utf8_Runtime
    NAMELINK_COMPONENT is_utf8_Development
    ARCHIVE COMPONENT is_utf8_Development
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

configure_file(cmake/is_utf8-config.cmake.in is_utf8-config.cmake @ONLY)

write_basic_package_version_file(
    is_utf8-config-version.cmake
    COMPATIBILITY SameMinorVersion
)

set(
    IS_UTF8_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/is_utf8"
    CACHE STRING "CMake package config location relative to the install prefix"
)
mark_as_advanced(IS_UTF8_INSTALL_CMAKEDIR)

install(
    FILES
    "${PROJECT_BINARY_DIR}/is_utf8-config.cmake"
    "${PROJECT_BINARY_DIR}/is_utf8-config-version.cmake"
    DESTINATION "${IS_UTF8_INSTALL_CMAKEDIR}"
    COMPONENT is_utf8_Development
)

#
# CPack
#
if(is_top_project)
  set(CPACK_PACKAGE_VENDOR "Daniel Lemire")
  set(CPACK_PACKAGE_CONTACT "lemire@gmail.com")
  set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE-MIT")
  set(CPACK_RPM_PACKAGE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE-MIT")
  set(CPACK_RESOURCE_FILE_README "${PROJECT_SOURCE_DIR}/README.md")
  set(CPACK_SOURCE_GENERATOR "TGZ;ZIP")
  include(CPack)
endif()

# ----

## node-websocket 1.0.19

=== debian/changelog ===
node-websocket (1.0.19-1~bpo8+1) jessie-backports; urgency=medium

  * Build for jessie-backports.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 29 Sep 2015 22:11:52 +0200

node-websocket (1.0.19-1) unstable; urgency=low

  * Initial upload (Closes: #790963)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 03 Jul 2015 13:11:03 +0200

=== debian/control ===
Source: node-websocket
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), nodejs-dev, node-uglify, node-gyp, node-nan
Standards-Version: 3.9.5
Homepage: https://github.com/theturtle32/WebSocket-Node
Vcs-Browser: https://github.com/dpocock/websocket
Vcs-Git: https://github.com/dpocock/websocket

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.

Package: node-websocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3), libjs-websocket, node-nan, node-typedarray-to-buffer, node-debug
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.

## node-websocket 1.0.22

=== debian/changelog ===
node-websocket (1.0.22-2) unstable; urgency=low

  * Update libjs-websocket description.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 30 Sep 2015 10:20:32 +0200

node-websocket (1.0.22-1) unstable; urgency=medium

  * New upstream release.
  * Supports node-nan >= 2.0.  (Closes: #799656)

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 29 Sep 2015 14:07:02 +0200

node-websocket (1.0.19-2) unstable; urgency=medium

  * Update VCS URLs.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 24 Sep 2015 12:25:04 +0200

=== debian/control ===
Source: node-websocket
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), nodejs-dev, node-uglify, node-gyp, node-nan (>= 2.0.0)
Standards-Version: 3.9.6
Homepage: https://github.com/theturtle32/WebSocket-Node
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-websocket.git/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-websocket.git

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS, standalone API for browser
 An implementation of the WebSocket API for NodeJS.
 .
 This is the code for using the API in the browser, where a WebSocket
 implementation is already present.

Package: node-websocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3), libjs-websocket, node-nan (>= 2.0.0), node-typedarray-to-buffer, node-debug
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

override_dh_auto_clean:
	rm -rf debian/build
	rm -rf build .pc

override_dh_auto_build:
	dh_auto_build
	for _FILE in index.js lib/*.js vendor/*.js ; \
	do \
		install -D $${_FILE} debian/build/$${_FILE}; \
		$(js-compressor)  -o debian/build/$$(dirname $${_FILE})/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done

# Uscan will read debian/watch, grab the correct version, repack and leave
# it in the current directory
get-orig-source:
	uscan --no-conf --force-download --rename --repack --download-current-version --destdir=.

## node-websocket 1.0.23

=== debian/changelog ===
node-websocket (1.0.23-3) unstable; urgency=medium

  * Team Upload
  * Use node-websocket.install not relying upon indep target

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 17:38:44 +0100

node-websocket (1.0.23-2) unstable; urgency=medium

  * Team Upload
  * Override rules for arch and indep

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 15:24:25 +0100

node-websocket (1.0.23-1) unstable; urgency=medium

  * Team Upload
  * Imported upstream version 1.0.23
  * Use dh nodejs
  * Secure Vcs url
  * Standards-Version 3.9.8
  * MIT is Expat
  * Fix order of section in copyright (general to particular)
  * dh installdocs already takes care of CHANGELOG.md
  * shlibdeps, strip *.node files
  * Bundle yaeti as module
  * Patch to run tests using tap
  * Build-Depends node-tap, node-buffer-equal for tests
  * Run tests during build
  * Do not remove .pc on clean

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 13:12:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9.0.0), nodejs-dev, node-uglify, node-gyp, node-nan (>= 2.0.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), nodejs-dev, node-uglify, node-gyp, node-nan (>= 2.0.0), node-tap, node-buffer-equal, node-typedarray-to-buffer, node-debug
+Standards-Version: 3.9.8
 Homepage: https://github.com/theturtle32/WebSocket-Node
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-websocket.git/
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-websocket.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-websocket.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-websocket.git
 
 Package: libjs-websocket
 Architecture: all

=== debian/watch ===
version=3
https://github.com/theturtle32/WebSocket-Node/tags .*/archive/v(\d[\d\.]+)\.tar\.gz

## node-websocket 1.0.28

=== debian/changelog ===
node-websocket (1.0.28-3) unstable; urgency=medium

  * Team upload
  * Fix patch, forgot to update other ports

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 00:53:50 +0100

node-websocket (1.0.28-2) unstable; urgency=medium

  * Add patch to increase timeouts

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 00:28:38 +0100

node-websocket (1.0.28-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.28
  * Section: javascript
  * Update Vcs-* fields
  * Use https in copyright format url
  * Build against libnode-dev, using dh 10, node-gyp >= 3.8.0-2
  * Build-Depends node-tape, drop node-tap patch
  * Check nocheck for tests
  * Drop useless get-orig-source
  * Standards-Version 4.3.0
  * Drop useless patches
  * Patch to use a less known port for tests
    (Closes: #918441,#865510)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 24 Jan 2019 22:51:29 +0100

node-websocket (1.0.23-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't run dh_nodejs against libjs-websocket, because that is an arch
    all package with no ABI dependencies.  We don't want shared library
    dependencies on an arch all package because it breaks the ability to
    do binary NMUs for library transitions, Closes: #877469

 -- Sam Hartman <hartmans@debian.org>  Tue, 11 Dec 2018 08:50:44 -0500

=== debian/control ===
Source: node-websocket
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 10.0.0), libnode-dev, node-uglify, node-gyp (>= 3.8.0-2), node-nan (>= 2.0.0), node-tape, node-buffer-equal, node-typedarray-to-buffer, node-debug
Standards-Version: 4.3.0
Homepage: https://github.com/theturtle32/WebSocket-Node
Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS, standalone API for browser
 An implementation of the WebSocket API for NodeJS.
 .
 This is the code for using the API in the browser, where a WebSocket
 implementation is already present.

Package: node-websocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3), libjs-websocket, node-typedarray-to-buffer, node-debug
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	tape test/unit/*
endif

override_dh_install-arch:
	dh_install
	chmod 644 $(CURDIR)/debian/node-websocket/usr/lib/nodejs/websocket/build/Release/*.node

override_dh_auto_clean:
	rm -rf debian/build
	rm -rf build
	dh_auto_clean

override_dh_auto_build-indep:
	dh_auto_build
	for _FILE in index.js lib/*.js vendor/*.js ; \
	do \
		install -D $${_FILE} debian/build/$${_FILE}; \
		$(js-compressor)  -o debian/build/$$(dirname $${_FILE})/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done

=== debian/tests/control ===
Test-Command: node -e "require('websocket')"
Depends: node-websocket

Test-Command: tape test/unit/*
Depends: @, @builddeps@

## node-websocket 1.0.31

=== debian/changelog ===
node-websocket (1.0.31-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use pkg-js-tools auto test & install
  * Replace embedded yaeti by uscan component
  * New upstream version 1.0.31
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 02 Feb 2020 10:43:22 +0100

=== debian/control ===
Source: node-websocket
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , libnode-dev
 , node-uglify
 , node-gyp (>= 3.8.0-2)
 , node-nan (>= 2.0.0)
 , node-tape <!nocheck>
 , node-buffer-equal <!nocheck>
 , node-typedarray-to-buffer <!nocheck>
 , node-debug <!nocheck>
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git
Homepage: https://github.com/theturtle32/WebSocket-Node
Rules-Requires-Root: no

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS, standalone API for browser
 An implementation of the WebSocket API for NodeJS.
 .
 This is the code for using the API in the browser, where a WebSocket
 implementation is already present.

Package: node-websocket
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
 , node-typedarray-to-buffer
 , node-debug
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --with nodejs

override_dh_auto_build-arch:
	node-gyp configure build

override_dh_auto_build-indep:
	for _FILE in index.js lib/*.js vendor/*.js ; \
	do \
		install -D $${_FILE} debian/build/$${_FILE}; \
		$(js-compressor)  -o debian/build/$$(dirname $${_FILE})/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done

=== debian/watch ===
version=3
https://github.com/theturtle32/WebSocket-Node/tags .*/archive/v(\d[\d\.]+)\.tar\.gz

opts=\
component=yaeti,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yaeti-$1.tar.gz/ \
 https://github.com/ibc/yaeti/tags .*/archive/v?(0[\d\.]+).tar.gz ignore

## node-websocket 1.0.33%2B~cs9.0.11

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: node-websocket
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.pro>
+Uploaders: Xavier Guimard <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , libnode-dev
- , node-uglify
- , node-gyp (>= 3.8.0-2)
+ , mocha <!nocheck>
+ , node-buffer-equal <!nocheck>
+ , node-debug <!nocheck>
+ , node-es5-ext <!nocheck>
+ , node-gyp
  , node-nan (>= 2.0.0)
  , node-tape <!nocheck>
- , node-buffer-equal <!nocheck>
  , node-typedarray-to-buffer <!nocheck>
- , node-debug <!nocheck>
- , pkg-js-tools (>= 0.9.20~)
-Standards-Version: 4.5.0
+ , dh-sequence-nodejs
+ , uglifyjs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
 Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git
 Homepage: https://github.com/theturtle32/WebSocket-Node
@@ -33,11 +35,13 @@
 
 Package: node-websocket
 Architecture: any
+Provides: ${nodejs:Provides}
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
  , nodejs
+ , node-debug
+ , node-es5-ext
  , node-typedarray-to-buffer
- , node-debug
 Description: WebSocket implementation for NodeJS
  An implementation of the WebSocket API for NodeJS.

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,10 @@
 
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
-override_dh_auto_build-arch:
-	node-gyp configure build
-
-override_dh_auto_build-indep:
+override_dh_auto_build:
+	dh_auto_build --buildsystem=nodejs
 	for _FILE in index.js lib/*.js vendor/*.js ; \
 	do \
 		install -D $${_FILE} debian/build/$${_FILE}; \

## node-websocket 1.0.33+~cs9.0.11

=== debian/changelog ===
node-websocket (1.0.33+~cs9.0.11-2) unstable; urgency=medium

  * Replace override_dh_auto_build-indep by override_dh_auto_build:
    pkg-js-tools is not compatible (see #977742)

 -- Xavier Guimard <yadd@debian.org>  Tue, 22 Dec 2020 10:49:08 +0100

node-websocket (1.0.33+~cs9.0.11-1) unstable; urgency=medium

  [ Tobias Frost ]
  * Updating the Uploaders list (Closes: #953504)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Xavier Guimard ]
  * Embed bufferutil and utf-8-validate
  * New upstream version 1.0.33+~cs9.0.11
  * Update build
  * Update coyright
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Use dh-sequence-nodejs
  * Set myself as uploader
  * Install doc

 -- Xavier Guimard <yadd@debian.org>  Tue, 15 Dec 2020 15:44:37 +0100

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-websocket-$1.tar.gz/ \
https://github.com/theturtle32/WebSocket-Node/tags .*/archive/v(\d[\d\.]+)\.tar\.gz group

opts=\
component=yaeti,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yaeti-$1.tar.gz/ \
 https://github.com/ibc/yaeti/tags .*/archive/v?(0[\d\.]+).tar.gz checksum

opts=\
component=bufferutil,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-bufferutil-$1.tar.gz/ \
 https://github.com/websockets/bufferutil/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=utf-8-validate,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-utf-8-validate-$1.tar.gz/ \
 https://github.com/websockets/utf-8-validate/tags .*/archive/v?([\d\.]+).tar.gz checksum

## node-websocket 1.0.34%2B~cs10.0.25

=== debian/control ===
Source: node-websocket
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , libnode-dev
 , mocha <!nocheck>
 , node-buffer-equal <!nocheck>
 , node-debug <!nocheck>
 , node-es5-ext <!nocheck>
 , node-gyp
 , node-nan
 , node-tape <!nocheck>
 , node-typedarray-to-buffer <!nocheck>
 , terser
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git
Homepage: https://github.com/theturtle32/WebSocket-Node
Rules-Requires-Root: no

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS, standalone API for browser
 An implementation of the WebSocket API for NodeJS.
 .
 This is the code for using the API in the browser, where a WebSocket
 implementation is already present.

Package: node-websocket
Architecture: any
Provides: ${nodejs:Provides}
Depends: ${misc:Depends}
 , ${shlibs:Depends}
 , node-debug
 , node-es5-ext
 , node-typedarray-to-buffer
Multi-Arch: same
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.
 .
 WebSocket is a computer communications protocol, providing full-duplex
 communication channels over a single TCP connection.
 The WebSocket protocol was standardized by the IETF as RFC 6455.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-websocket 1.0.34+~cs10.0.25

=== debian/changelog ===
node-websocket (1.0.34+~cs10.0.25-2) unstable; urgency=medium

  * Better build
  * Update lintian override info format in d/source/lintian-overrides on
    line 4-5
  * Update standards version to 4.6.2, no changes needed
  * Use terser instead of uglifyjs

 -- Yadd <yadd@debian.org>  Sat, 06 Jan 2024 07:05:43 +0400

node-websocket (1.0.34+~cs10.0.25-1) unstable; urgency=medium

  [ lintian-brush ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.0, no changes needed.

  [ Yadd ]
  * Fix filenamemangle
  * Drop dependency to nodejs
  * Embed typescript declarations
  * New upstream version 1.0.34+~cs10.0.25, updates:
    + websocket 1.0.34
    + bufferutil 4.0.6
    + utf-8-validate 5.0.8
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Mon, 31 Jan 2022 17:06:00 +0100

node-websocket (1.0.33+~cs9.0.11-3) unstable; urgency=medium

  * Team upload
  * MA: same
  * Improve description

 -- Bastien Roucariès <rouca@debian.org>  Sat, 18 Sep 2021 14:12:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: node-websocket
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs

## node-websocket 1.0.35%2B~cs11.0.30

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifeq (armel, $(DEB_HOST_ARCH))
	CFLAGS += -O1
endif

export CFLAGS

%:
	dh $@

execute_after_dh_install:
	perl -i -pe 's/-ffile-prefix-map=\S+//' `find debian/node-*/ -name '*.o.d'`

## node-websocket 1.0.35+~cs11.0.28

=== debian/changelog ===
node-websocket (1.0.35+~cs11.0.28-1) unstable; urgency=medium

  * Declare compliance with policy 4.7.0
  * New upstream version 1.0.35+~cs11.0.28
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 16 Jun 2024 12:59:35 +0400

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,6 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-ifeq (armel, $(DEB_HOST_ARCH))
-	CFLAGS += -O1
-endif
-
-export CFLAGS
 
 %:
 	dh $@
-
-execute_after_dh_install:
-	perl -i -pe 's/-ffile-prefix-map=\S+//' `find debian/node-*/ -name '*.o.d'`

## node-websocket 1.0.35+~cs11.0.30

=== Makefile ===
autobahn:
	@NODE_PATH=lib node test/autobahn-test-client.js --host=127.0.0.1 --port=9000

autobahn-server:
	@NODE_PATH=lib node test/echo-server.js

=== deps/is_utf8/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(is_utf8
   DESCRIPTION "Fast UTF-8 Validation"
   LANGUAGES CXX
-  VERSION 1.3.2
+  VERSION 1.4.1
 )
 
 include(GNUInstallDirs)
@@ -29,7 +29,7 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_MACOSX_RPATH OFF)
 
-set(IS_UTF8_LIB_VERSION "1.3.2" CACHE STRING "is_utf8 library version")
+set(IS_UTF8_LIB_VERSION "1.4.1" CACHE STRING "is_utf8 library version")
 set(IS_UTF8_LIB_SOVERSION "1" CACHE STRING "is_utf8 library soversion")
 
 set(IS_UTF8_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)

=== deps/is_utf8/benchmarks/CMakeLists.txt ===

include(${PROJECT_SOURCE_DIR}/cmake/import.cmake)
set_off(SIMDUTF_TOOLS)
set_off(SIMDUTF_BENCHMARKS)

import_dependency(simdutf simdutf/simdutf v2.0.9)
set(BUILD_TESTING OFF)
add_dependency(simdutf)
unset(BUILD_TESTING)

add_executable(bench bench.cpp)
target_link_libraries(bench PRIVATE is_utf8)
target_link_libraries(bench PRIVATE simdutf)

=== deps/is_utf8/src/CMakeLists.txt ===
add_library(is_utf8-include-source INTERFACE)
target_include_directories(is_utf8-include-source INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
add_library(is_utf8-source INTERFACE)
target_sources(is_utf8-source INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>/is_utf8.cpp)
target_link_libraries(is_utf8-source INTERFACE is_utf8-include-source)
add_library(is_utf8 STATIC is_utf8.cpp)
target_include_directories(is_utf8 PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}> )
target_include_directories(is_utf8 PUBLIC "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>")

if(IS_UTF8_SANITIZE)
  target_compile_options(is_utf8 INTERFACE -fsanitize=address  -fno-omit-frame-pointer -fno-sanitize-recover=all)
  target_compile_definitions(is_utf8 INTERFACE ASAN_OPTIONS=detect_leaks=1)
  target_link_libraries(is_utf8 INTERFACE -fsanitize=address  -fno-omit-frame-pointer -fno-sanitize-recover=all)
endif()

if(MSVC)
  if("${MSVC_TOOLSET_VERSION}" STREQUAL "140")
    target_compile_options(is_utf8 INTERFACE /W0 /sdl)
    set(is_utf8_LEGACY_VISUAL_STUDIO TRUE)
  else()
    target_compile_options(is_utf8 INTERFACE /WX /W3 /sdl /w34714) # https://docs.microsoft.com/en-us/cpp/error-messages/compiler-warnings/compiler-warning-level-4-c4714?view=vs-2019
  endif()
else(MSVC)
  if(NOT WIN32)
    target_compile_options(is_utf8 INTERFACE -fPIC)
  endif()
  target_compile_options(is_utf8 PRIVATE -Wall -Wextra -Weffc++)
  target_compile_options(is_utf8 PRIVATE -Wfatal-errors -Wsign-compare -Wshadow -Wwrite-strings -Wpointer-arith -Winit-self -Wconversion -Wno-sign-conversion)
endif(MSVC)

# workaround for GNU GCC poor AVX load/store code generation
if ((CMAKE_CXX_COMPILER_ID STREQUAL "GNU") AND (CMAKE_SYSTEM_PROCESSOR MATCHES "^(i.86|x86(_64)?)$"))
  target_compile_options(is_utf8 PRIVATE -mno-avx256-split-unaligned-load -mno-avx256-split-unaligned-store)
endif()

if(MSVC AND BUILD_SHARED_LIBS)
  set(is_utf8_WINDOWS_DLL TRUE)
endif()

=== deps/is_utf8/tests/CMakeLists.txt ===
if(MSVC)
  add_compile_options("/Zi" "/EHsc" "/GR")
endif()

include(${PROJECT_SOURCE_DIR}/cmake/add_cpp_test.cmake)
link_libraries(is_utf8)

add_cpp_test(unit)

=== debian/changelog ===
node-websocket (1.0.35+~cs11.0.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.35+~cs11.0.30
  * w/a armel gcc optimization bug by compiling with -O1 optimization
    Closes: #1100540.

  [ Yadd ]
  * Render build reproducible

 -- Jérémy Lal <kapouer@melix.org>  Sat, 15 Mar 2025 18:29:40 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  , node-tape <!nocheck>
  , node-typedarray-to-buffer <!nocheck>
  , terser
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
 Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git
 Homepage: https://github.com/theturtle32/WebSocket-Node

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-websocket-$1/ \
https://github.com/theturtle32/WebSocket-Node/tags .*/archive/.*/v(\d[\d\.]+)\.tar\.gz group

opts=\
component=yaeti,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-yaeti-$1/ \
 https://github.com/ibc/yaeti/tags .*/archive/.*/v?(0[\d\.]+).tar.gz checksum

opts=\
component=bufferutil,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-bufferutil-$1/ \
 https://github.com/websockets/bufferutil/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
component=utf-8-validate,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-utf-8-validate-$1/ \
 https://github.com/websockets/utf-8-validate/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-websocket,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-websocket-$1/" \
 https://registry.npmjs.org/@types/websocket https://registry.npmjs.org/@types/websocket/-/websocket-([\d\.]+)@ARCHIVE_EXT@ checksum
